<?php

/**
 * Helpers for wizard
 *
 **/
class Wizard_helper
{

	/**
	 * Determines whether user is authorized to use the wizard
	 *
	 * @return bool
	 **/
	static function authorized_for_wizard()
	{
		$auth = Auth::instance();
		$points = array(
			'host_add_delete',
			'export',
			'api_config',
			'configuration_information',
			'FILE',
			'host_template_view_all',
			'hostgroup_view_all',
			'management_pack_view_all'
		);

		foreach ($points as $point) {
			if (!$auth->authorized_for($point)) {
				return false;
			}
		}
		return true;
	}

	/**
	 * Checks that all preconditions to use wizard is fulfilled
	 *
	 * @return bool
	 **/
	static function preconditions()
	{
		$conf = Op5Config::instance()->getConfig('http_api');

		if (isset($conf['auth_method']['ninja'])) {
			return (bool)$conf['auth_method']['ninja'];
		}
		return false;
	}

} // END class Wizard_helper
